- Update a data attribute
You can update a data attribute.
🚧 Updating the data type is not possible
It is currently a dangerous action to execute changing a data attribute's type via the API. You will need to update the type via the UI instead.
You can also send this request with PATCH; it behaves the same as PUT.
Requires the write_attributes OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The readable description you see in the UI for the attribute.
- The production API serverhttps://api.intercom.io/data_attributes/{data_attribute_id}
- The european API serverhttps://api.eu.intercom.io/data_attributes/{data_attribute_id}
- The australian API serverhttps://api.au.intercom.io/data_attributes/{data_attribute_id}
- list attribute
- other type
- Successful
- Too few options in list
- Attribute Not Found
- Has Dependant Object
curl -i -X PUT \
https://api.intercom.io/data_attributes/1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"description": "Just a plain old ring",
"options": [
{
"value": "1-10"
},
{
"value": "11-20"
}
],
"archived": false
}'Successful
The unique identifier for the data attribute which is given by Intercom. Only available for custom attributes.
Value is contact for user/lead attributes and company for company attributes.
Full name of the attribute. Should match the name unless it's a nested attribute. We can split full_name on . to access nested user object values.
Readable description of the attribute.
The data type of the attribute. A list attribute created with the options data type is returned as string, with its choices in options. relationship is a reference to a custom object.
The time the attribute was created as a UTC Unix timestamp
The time the attribute was last updated as a UTC Unix timestamp
{ "id": 44, "type": "data_attribute", "name": "The One Ring", "full_name": "custom_attributes.The One Ring", "label": "The One Ring", "description": "Just a plain old ring", "data_type": "string", "options": [ "1-10", "11-20" ], "api_writable": true, "ui_writable": false, "messenger_writable": true, "custom": true, "archived": false, "admin_id": "991267793", "created_at": 1734537762, "updated_at": 1734537763, "model": "company" }